<?php
/**
 * 
 * @file config_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/template.php');
require_once('class_config.php');

$url = 'mod_config/config_edit.php';
Common::checkAdminFileAuth($url); //check file authority
$clComConfig = new ComConfig();
$clTemplate = new Template(getAdminTemplateDir($url));

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'save_add':
        $clComConfig -> addRecords();
        break;
    case 'save_edit':
        $clComConfig -> editRecords();
        break;
    case 'delete':
        $clComConfig -> deleteRecords();
        break;
    default:
        $clComConfig -> layoutConfig_edit();
        break;
} 

?>
